%define name libplist
%define version 0.13
%define release %mkrel 2
%define major 0
%define libname %mklibname plist %major
%define libnamedev %mklibname -d plist

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Library for manipulating Apple Binary and XML Property Lists

Group:          System/Libraries
License:        LGPLv2+
URL:            http://matt.colyer.name/projects/iphone-linux/

Source0:        http://cloud.github.com/downloads/JonathanBeck/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: cmake

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

%package -n %libname
Group: System/Libraries
Summary: Library for manipulating Apple Binary and XML Property Lists
Requires: %name >= %version

%description -n %libname
libplist is a library for manipulating Apple Binary and XML Property Lists

%package -n %libnamedev
Summary: Development package for libplist
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
%{name}, development headers and libraries.

%package -n python-plist
Summary: Python package for libplist
Group: Development/Python
%py_requires -d
Requires: python
BuildRequires: python-devel
BuildRequires: swig

%description -n python-plist
%{name}, python libraries and support

%prep
%setup -q

%build
export CMAKE_PREFIX_PATH=/usr
%cmake

%make

%install
export CMAKE_PREFIX_PATH=/usr
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

# move python bindings to proper location
%{__mkdir} -pm 755 $RPM_BUILD_ROOT%{python_sitearch}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/python/site-packages/libplist $RPM_BUILD_ROOT%{python_sitearch}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_bindir}/plutil
%{_bindir}/plutil-0.13

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libplist.so.0
%{_libdir}/libplist.so.0.0.13

%files -n %libnamedev
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libplist.pc
%{_libdir}/libplist.so
%{_includedir}/plist

%files -n python-plist
%defattr(-,root,root,-)
%{python_sitearch}/libplist



%changelog
* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.org> 0.13-2mdv2010.0
+ Revision: 410904
- fix name of python package

* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.org> 0.13-1mdv2010.0
+ Revision: 410622
- fix rpm groups
- import libplist


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.13-1
- New upstream 0.13 release

* Mon May 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-2
- Further review updates

* Sun May 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-1
- Update to official tarball release, some review fixes

* Sun May 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12.0-0.1
- Initial package
